%define	name	vegastrike
%define	version	0.4.3
%define	rel	3
%define	release	%mkrel %{rel}
%define	Summary	A free 3D space fight simulator

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
License:	GPL
Group:		Games/Arcade
URL:		http://vegastrike.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-manpages.tar.bz2
#Source2:	%{name}-%{version}-setup.tar.bz2
Source3:	%{name}.sh.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		vegastrike-0.4.2-char-fix.patch.bz2
Patch1:		vegastrike-0.4.2-docs-fix.patch.bz2
Patch2:		vegastrike-0.4.2-launcher-fix.patch.bz2
Patch3:		vegastrike-0.4.3-makefiles-fix.patch.bz2
Patch4:		vegastrike-0.4.2-opengl-fix.patch.bz2
Patch5:		vegastrike-0.4.2-paths-fix.patch.bz2
Patch6:		vegastrike-0.4.2-posh-fix.patch.bz2
Patch7:		vegastrike-0.4.2-vssetup-fix.patch.bz2
Patch8:		vegastrike-0.4.3-gcc4-fix.patch.bz2
Requires:	%{name}-data = %{version}
BuildRequires:	png-devel MesaGLU-devel zlib-devel python-devel openal-devel nas-devel
BuildRequires:	jpeg-devel XFree86-devel SDL_net-devel Mesa-common-devel libvorbis-devel autoconf >= 2.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Vega Strike is a GPL 3d OpenGL Action RPG space sim for
Windows/Linux that allows a player to trade and bounty hunt
in the spirit of Elite. You start in an old beat up Wayfarer
cargo ship, with endless possibility before you and just
enough cash to scrape together a life. Yet danger lurks in
the space beyond.

%prep
%setup -q -a1 
#-b2
bzcat %{SOURCE3} > %{name}.sh
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
#%patch7 -p1
%patch8 -p1 -b .gcc4

%build
perl -pi -e "s#lib/python#%{_lib}/python#g" configure.in
export WANT_AUTOCONF_2_5=1
%{__aclocal}
%{__autoheader}
%{__automake} --foreign --add-missing
autoconf-2.5x
%configure2_5x	--with-bindir=%{_gamesbindir} \
		--with-data-dir=%{_gamesdatadir}/%{name} \
		--enable-release \
		--enable-flags="$RPM_OPT_FLAGS" \
		--with-gl-libs=%{_prefix}/X11R6/%{_lib}
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir}
install -m755 %{name}.sh $RPM_BUILD_ROOT%{_gamesbindir}/%{name}.sh

install -d $RPM_BUILD_ROOT%{_mandir}
for i in *.6; do install -m644 $i -D $RPM_BUILD_ROOT%{_mandir}/man6/$i; done

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}.sh" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Arcade" \
		title="Vega Strike"\
		longtitle="%{Summary}"
EOF

%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%{__install} -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%{_mandir}/man6/*
%dir %{_gamesdatadir}/%{name}
%defattr(755,root,root,755)
%{_gamesbindir}/*

%changelog
* Fri Jul 08 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.4.3-3mdk
- fix build with gcc 4 (P8)
- fix ownership of datadir

* Fri May 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.4.3-2mdk
- lib64 fix
- %%mkrel

* Wed Feb 16 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.4.3-1mdk
- 0.4.3
- versioned requires
- update patches

* Tue Mar 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.4.1-2mdk
- force autoconf-2.5x
- fix buildrequires (lib64..)

* Tue Oct 28 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.4.1-1mdk
- 0.4.1 (badly needed, closes #6205)
- synced with debian patches
- don't bzip2 icons in source rpm
- fix summary macro to avoid possible conflicts if we were to build debug package
- fix buildrequires (lib64)
- minor fixes etc...
- be sure to use autoconf-2.5
- compile with -DGLX_GLXEXT_PROTOTYPES

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.1-2mdk
- fixed buildrequires
- drop unapplied patches
- added url

* Tue Apr 22 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.1-1mdk
- initial mdk release
